
QGIS Application - Bug report #21880

Style file (QML) can't be used to add styles to rasters

2019-04-18 08:23 AM - Josin Tharian

Status: Closed

Priority: High

Assignee:

Category: Decorations

Affected QGIS version:3.6.1 Regression?: No

Operating System: Windows 10 Easy fix?: Yes

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 29695

Description

When styling raster files using QML file through 'Load style' button in Symbology panel, after clicking OK or Apply button, a default style

gets applied and QML file is discarded.
Loading Style from QML file
After clicking the apply button

The only work around is to rename the style file to the same name as raster and place it in same folder. Still if you click ok or Apply button

in symbology panel, the style changes to a default one.

Related issues:

Duplicates QGIS Application - Bug report # 21611: QGis 3.4 fails to apply sty... Open 2019-03-18

History

#1 - 2019-04-18 01:45 PM - Giovanni Manghi

- Duplicates Bug report #21611: QGis 3.4 fails to apply style file to rasters added

#2 - 2019-04-18 01:45 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

https://issues.qgis.org/issues/21611
